require('HSAUR')
data('BtheB',package='HSAUR')
BtheB[1,]
BtheB$subject<-factor(rownames(BtheB))
nobs<-nrow(BtheB)
BtheB_long<-reshape(BtheB,idvar='subject',varying=c('bdi.2m','bdi.4m','bdi.6m' ,'bdi.8m'),direction='long')
BtheB_long$time<-rep(c(2,4,6,8),rep(nobs,4))
subset(BtheB_long,subject %in% c('1', '2','3'))
layout(matrix(1:2,nrow=1))
ylim<-range(BtheB[,grep('bdi',names(BtheB))],na.rm=TRUE)
boxplot(subset(BtheB,treatment=='TAU')[,grep('bdi',names(BtheB))],main='Treated as usual',ylab='BDI',xlab='Time (in months)', names=c(0,2,4,6,8),ylim=ylim)
boxplot(subset(BtheB,treatment=='BtheB')[,grep('bdi',names(BtheB))],main='Beat the Blues',ylab='BDI',xlab='Time (in months)', names=c(0,2,4,6,8),ylim=ylim)

table(BtheB$treatment, BtheB$drug)

by(BtheB$bdi.8m[BtheB$drug=='Yes'],BtheB$treat[BtheB$drug=='Yes'],mean,na.rm=T)
by(BtheB$bdi.8m[BtheB$drug=='No'],BtheB$treat[BtheB$drug=='No'],mean,na.rm=T)

boxplot(BtheB$bdi.8m~BtheB$drug+BtheB$treatment)

